Create a clickout link to access the shop
Creates a new clickout link to access the shop
curl -X POST "https://api.getkini.com/clickout/" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"external_job_id": 123,
"email": "user@example.com"
}'
import requests
import json
url = "https://api.getkini.com/clickout/"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"external_job_id": 123,
"email": "user@example.com"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.getkini.com/clickout/", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"external_job_id": 123,
"email": "user@example.com"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"external_job_id": 123,
"email": "user@example.com"
}`)
req, err := http.NewRequest("POST", "https://api.getkini.com/clickout/", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.getkini.com/clickout/')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"external_job_id": 123,
"email": "user@example.com"
}'
response = http.request(request)
puts response.body
{
"data": "example_string"
}
POST
/clickout/
POST
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredBearer API Key Authentication. Include your API key in the Authorization header.
Bearer API Key Authentication. Include your API key in the Authorization header.
Content-Typestring
RequiredThe media type of the request body
Options: application/json
external_job_idinteger
RequiredExternal Job ID of the job to promote
emailstring
RequiredEmail address of the user
Format: email
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Bearer API Key Authentication. Include your API key in the Authorization header.
Body
application/json
external_job_idinteger
RequiredExternal Job ID of the job to promote
emailstring
RequiredEmail address of the user
Responses
Was this page helpful?